<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Validacion de formulario</title>
    <!-- Bootstrap core CSS -->
<link href="assets/dist/css/bootstrap.css" rel="stylesheet">

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
    <!-- Custom styles for this template -->
    <link href="form-validation.css" rel="stylesheet">
  </head>
<body class="bg-light">
    <div class="container">
      <div class="py-5 text-center">
        <h2>Formulario de reserva</h2>
        <p class="lead">Puede enviarnos por aquí sus datos, nos pondremos en contacto con usted.</p>
      </div>

      <div class="row">
        <div class="col-md-12 order-md-1">
          <h4 class="mb-3">Datos personales</h4>
          <form id="checkout" novalidate>
            <div class="form-group row">
              <div class="col-md-6 mb-3">
                <label for="firstName">Nombre</label>
                <input type="text" class="form-control" id="firstName" placeholder="" value="">                
              </div>
              <div class="col-md-6 mb-3">
                <label for="lastName">Apellidos</label>
                <input type="text" class="form-control" id="lastName" placeholder="" value="">
              </div>
            </div>

            <div class="form-group row">
              <div class="col-md-3 mb-3">
                <label for="dni">DNI</label>
                <input type="text" class="form-control" id="dni" name="dni" placeholder="" >
              </div>
              <div class="col-md-4 mb-2">
                <label for="edad">Edad</label>
                <input type="number" class="form-control" id="edad" name="edad" placeholder="">
              </div>
            </div>

            <h4 class="mb-3">Solicitud de información</h4>
            <div class="form-group row">
              <div class="col-md-12 mb-2">
                <label for="destino">Elija destino:</label>
                  <div class="form-check form-check-inline ml-2">
                    <input class="form-check-input" type="radio" name="destino" id="inlineRadio1" value="option1" checked>
                    <label class="form-check-label" for="inlineRadio1">Vacaciones en Cazorla</label>
                  </div>
                  <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="destino" id="inlineRadio2" value="option2">
                    <label class="form-check-label" for="inlineRadio2">Vacaciones en Málaga</label>
                  </div>
                  <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="destino" id="inlineRadio3" value="option3">
                    <label class="form-check-label" for="inlineRadio3">Vacaciones en Linares</label>
                  </div>
                  
              </div>
            </div>
            <hr class="mb-4">
            <div class="form-check">
              <input class="form-check-input" type="checkbox" value="" id="proteccion-datos">
              <label class="form-check-label" for="proteccion-datos">
                Acepto la protección de datos
              </label>
            </div>
            <hr class="mb-4">
              <button class="btn btn-primary btn-lg btn-block" type="submit" disabled>ENVIAR DATOS</button>
          </form>
        </div>
      </div> 
    </div>
    
  <script>

    "use strict";

    const form_check = document.querySelector("[class='form-check']");
    const checkbox = document.querySelector("input[type='checkbox']");
    const bttn_submit = document.querySelector("button[type=submit]");


    const cb_warning = document.createElement("p");
    cb_warning.classList.add("text-danger");
    cb_warning.id = "warning-checkbox";
    cb_warning.innerText = "Debes aceptar la protección de datos";
    cb_warning.style.visibility = "hidden";
    form_check.append(cb_warning);

    checkbox.addEventListener("click", e => {
      if (!checkbox.checked) {
        cb_warning.style.visibility = "visible";
        bttn_submit.setAttribute("disabled", "");
      } else {
        cb_warning.style.visibility = "hidden";
        bttn_submit.removeAttribute("disabled");
      }
    })

    const success = document.createElement("div");
    const success_classes = ["alert", "alert-success"];
    success.innerText = "Los datos se enviaron correctamente"
    success.classList.add(...success_classes);
    form_check.append(success)
    success.style.visibility = "hidden"
    bttn_submit.addEventListener("click", e => {
      e.preventDefault()
      e.stopPropagation()

      function dataIsValid() {
        let name = document.querySelector("input[id='firstName']").value;
        let surname = document.querySelector("input[id='lastName']").value;
        let dni = document.querySelector("input[id='dni']").value;
        let age = +document.querySelector("input[id='edad']").value

        switch (age) {
          case age > 100: return false
          case age < 18: return false
        }

        return true
      }

      if (dataIsValid()) {
        success.style.visibility = "visible"
      }
    })

  </script>

  <footer class="my-5 pt-5 text-muted text-center text-small">
    <p class="mb-1">&copy; 2022 Hotel Esperanza</p>
    <ul class="list-inline">
      <li class="list-inline-item"><a href="#">Política de Privacidad</a></li>
      <li class="list-inline-item"><a href="#">Términos de uso</a></li>
      <li class="list-inline-item"><a href="#">Ayuda</a></li>
    </ul>
  </footer>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script>window.jQuery || document.write('<script src="assets/js/vendor/jquery.slim.min.js"><\/script>')</script>
<script src="assets/dist/js/bootstrap.bundle.js"></script>
</body>
</html>
